package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.*
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class DealsInteractor @Inject constructor(
){


    companion object{

        val dealFlat = DealModel(
                amount_pay_sum = 5118160,
                estate = EstateModel(
                albumId= 10,
                commonInfo= CommonInfoModel(
                area = 61.2f,
                area_living = 30.3f,
                building = 1,
                ceiling = 2.95f,
                decoration = "Без отделки, свободная планировка",
                dependent = null,
                direction = "север,восток",
                discount = 5.0f,
                discount_amount = 7356325,
                floor = 10,
                floor_max = 15,
                kind = "2к-4л",
                price = 7743500,
                price_meter = 126527,
                rooms = 2,
                section_begin = 2,
                windows_face = "Двор"
                ),
                explications = arrayListOf(
                    ExplicationListModel(
                    items = arrayListOf(
                        ExplicationModel(
                        area = 15.8f,
                        living = true,
                        title = "Гостиная"
                        ),ExplicationModel(
                        area = 14.5f,
                        living = true,
                        title = "Спальня"
                        ),ExplicationModel(
                        area = 20.2f,
                        living = false,
                        title = "Кухня"
                        ),ExplicationModel(
                        area = 5.0f,
                        living = false,
                        title = "Прихожая"
                        ),ExplicationModel(
                        area = 4.1f,
                        living = false,
                        title = "Санузел"
                        ),ExplicationModel(
                        area = 1.6f,
                        living = false,
                        title = "Лоджия"
                        )
                    ),
                    planId = 0
                ),
                    ExplicationListModel(
                        items = arrayListOf(
                            ExplicationModel(
                        area = 15.5f,
                        living = true,
                        title = "Спальня"
                                ),ExplicationModel(
                        area = 14.5f,
                        living = true,
                        title = "Спальня"
                                ),ExplicationModel(
                        area = 20.2f,
                        living = false,
                        title = "Кухня-гостиная"
                                ),ExplicationModel(
                        area = 5.3f,
                        living = false,
                        title = "Прихожая"
                                ),ExplicationModel(
                        area = 4.1f,
                        living = false,
                        title = "Санузел"
                                ),ExplicationModel(
                        area = 1.6f,
                        living = false,
                        title = "Лоджия"
                            )
                        ),
                    planId = 1
                    )
                ),
                id = 1201,
                multitourId = 6500,
                number = "88",
                planJPG = PlanModel(
                height = 720,
                url = "/assets/estates/plan_jpg/00/00/04/1201-52d64f.jpeg",
                width = 785
                ),
                planPNG = PlanModel(
                height = 292,
                url = "/assets/estates/plan_png/00/00/04/1201-91169f.png",
                width = 318
                ),
                type = "flat",
                url = "https://stage.room-park.ru:38386/choose/flat/1/2/88/"
                ),
                estate_id = "54d7e300-b85c-e711-80d7-00155d0a0a0e",
                id = "2419877b-2d6a-e811-80e6-00155d0a0a0e",
                managerName = "Босова, Ирина",
                opportunitySum = 5618160,
                paymentSum = 500000,
                statusId = 10
            )
    }
}